# Homeman

Homeman is short for "home management". It is a simple digital dashboard for
managing tasks within a home primarily geared towards planning and organizing
around a touch-capable display.

**NOTE**: This project was _not_ created to be used outside my family, so some
things may be too inflexible for your use case.

# Optimizations

- Use atomic Deno KV operations?
- Event source streams share a single KV watch?

# Fresh project

Your new Fresh project is ready to go. You can follow the Fresh "Getting
Started" guide here: https://fresh.deno.dev/docs/getting-started

### Usage

Make sure to install Deno: https://deno.land/manual/getting_started/installation

Then start the project:

```bash
deno task start
```

This will watch the project directory and restart as necessary.

# Inspiration

- https://github.com/briosheje/Fresh-Deno-Mongo-Docker-Todoapp/tree/main
- https://hearthdisplay.com/
- https://github.com/denoland/showcase_todo

# To Do

- Ditch pentagon, just use zod more heavily?
- These need a generic implementation (`crud.ts`?) I think:
  - routes/api/user.ts
  - routes/api/todo.ts
  - routes/api/tasks.ts
  - routes/api/todo/done.ts
- Avatar images are not perfectly round
