import { JSX } from 'preact'

export function Avatar(
	{ className, ...props }: JSX.HTMLAttributes<HTMLImageElement>,
) {
	return (
		<img
			{...props}
			class={`rounded-full object-cover h-60 w-60 ${className || ''}`}
		/>
	)
}
