import { JSX } from 'preact'

export function Label(
	{ children, className, ...props }: JSX.HTMLAttributes<HTMLLabelElement>,
) {
	return (
		<label {...props} class={`flex flex-col ${className}`}>
			{children}
		</label>
	)
}
