import { JSX } from 'preact'

export function Table(
	{ children, className, ...props }: JSX.HTMLAttributes<HTMLTableElement>,
) {
	return (
		<table
			{...props}
			class={`border-separate [border-spacing:0.50rem] text-left ${className}`}
		>
			{children}
		</table>
	)
}
