import { type PageProps } from '$fresh/server.ts'
import { Nav } from '@homeman/islands/Nav.tsx'

export default function App({ Component }: PageProps) {
	return (
		<html>
			<head>
				<meta charset='utf-8' />
				<meta name='viewport' content='width=device-width, initial-scale=1.0' />
				<title>homeman-deno</title>
				<link rel='stylesheet' href='/styles.css' />
			</head>
			<body class='bg-stone-100 text-stone-950 dark:bg-stone-950 dark:text-stone-100 min-h-lvh relative'>
				<Nav />
				<Component />
			</body>
		</html>
	)
}
